## Daemon Management Functions Daemon Management Functions — Functions used by session to run the Gnome Keyring Daemon. |

## Functions

GnomeKeyringResult | gnome_keyring_daemon_set_display_sync ()
GnomeKeyringResult | gnome_keyring_daemon_prepare_environment_sync ()

## Description

All of these APIs are deprecated. Use libsecret instead.

These functions are not used by most applications using Gnome Keyring.

## Functions

### gnome_keyring_daemon_set_display_sync ()

    GnomeKeyringResult
    gnome_keyring_daemon_set_display_sync (const char *display);

`gnome_keyring_daemon_set_display_sync` is deprecated and should not be used in newly-written code.

No longer supported, always fails.

#### Parameters

display | Deprecated |

#### Returns

GNOME_KEYRING_RESULT_DENIED

### gnome_keyring_daemon_prepare_environment_sync ()

    GnomeKeyringResult
    gnome_keyring_daemon_prepare_environment_sync
                                   (void);

`gnome_keyring_daemon_prepare_environment_sync` is deprecated and should not be used in newly-written code.

No longer supported, call is ignored.

#### Returns

GNOME_KEYRING_RESULT_OK